Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
🚀 See how leading brands automate sales tax with Zamp — Read customer stories →
Retrieve a company’s sales tax filing history and status through the Zamp Filings API endpoint.
state
period.code
2024-Q3
period.name
Q3 2024
frequency.code
frequency.name
dueOn
isCompleted
estimatedTaxDue
artifacts
returnConfirmation
paymentConfirmation
amountPaid
files[].type
FILING_OTHER
FILING_PAYMENT
FILING_RETURN
FILING_RETURN_PAYMENT
FILING_TEMPLATE
files[].signedUrl
{ "state": "KS", "period": { "code": "2025-JAN", "name": "January 2025" }, "frequency": { "code": "M", "name": "Monthly" }, "dueOn": "2025-02-25", "isCompleted": true, "estimatedTaxDue": 25.25, "artifacts": [ { "returnConfirmation": "7291-QXMF-8K63", "paymentConfirmation": "7291-QXMF-8K63", "amountPaid": 25.25, "files": [ { "type": "FILING_RETURN", "signedUrl": "<URL>" }, { "type": "FILING_PAYMENT", "signedUrl": "<URL>" } ] } ] }
null
GET | https://api.zamp.com/filings
curl https://api.zamp.com/filings \ -H "Authorization: Bearer {token}" \ -d state=KS \ -d minDueOn=2025-02-01 \ -d maxDueOn=2025-02-28
{ "prevCursor": null, "nextCursor": null, "data": [ { "state": "KS", "period": { "code": "2025-JAN", "name": "January 2025" }, "frequency": { "code": "M", "name": "Monthly" }, "dueOn": "2025-02-25", "isCompleted": true, "estimatedTaxDue": 25.25, "artifacts": [] } ] }